curl --location --request DELETE 'https://integrations.projectcor.com/v2/integrations/seniority/external_seniority_id_10' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "GLOBANT"
}
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/seniority/external_seniority_id_10"
payload = {
"metadata": {
"source": "GLOBANT"
}
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.status_code)
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/seniority/external_seniority_id_10',
{
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'GLOBANT'
}
})
}
);
console.log(response.status);
{
"message": "Entity deleted successfully"
}
{
"status": "ERROR",
"code": "ZC001",
"message": "Entity is not associated"
}
Seniority
Delete Seniority
Deletes a seniority level from your COR instance using its external ID
DELETE
/
v2
/
integrations
/
seniority
/
{id}
curl --location --request DELETE 'https://integrations.projectcor.com/v2/integrations/seniority/external_seniority_id_10' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "GLOBANT"
}
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/seniority/external_seniority_id_10"
payload = {
"metadata": {
"source": "GLOBANT"
}
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.status_code)
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/seniority/external_seniority_id_10',
{
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'GLOBANT'
}
})
}
);
console.log(response.status);
{
"message": "Entity deleted successfully"
}
{
"status": "ERROR",
"code": "ZC001",
"message": "Entity is not associated"
}
Deletes a seniority level from your COR instance using its external ID. This removes both the seniority and the integration mapping.
Path Parameters
string
required
External seniority ID that was used when creating the seniority
Request Body Requirements
Known Errors
ZC001— Entity is not associated. No seniority found with the specified external ID for this source
curl --location --request DELETE 'https://integrations.projectcor.com/v2/integrations/seniority/external_seniority_id_10' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "GLOBANT"
}
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/seniority/external_seniority_id_10"
payload = {
"metadata": {
"source": "GLOBANT"
}
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.status_code)
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/seniority/external_seniority_id_10',
{
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'GLOBANT'
}
})
}
);
console.log(response.status);
{
"message": "Entity deleted successfully"
}
{
"status": "ERROR",
"code": "ZC001",
"message": "Entity is not associated"
}
Was this page helpful?
⌘I

